html, body {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-direction: column;
}

.content {
    flex: 1 0 auto;
    padding: 1em 0em 1em;
}

.content-fixed-margin {
    flex: 1 0 auto;
    margin: 1em 3em;
}

#search input:focus {
    width: 500px;
}

#search #search-hints {
    display: none;
    position: absolute;
    z-index: 3;
    top: 3em;
    background: white;
    border: 1px solid #ced4da;
    border-top: none;
    width: 500px;
    box-shadow: 3px 3px 10px #ddd;
    padding: 1em;
}

/* Display search hints on wide-enough viewports only.  */
@media all and (min-width: 640px) {
    #search:focus-within #search-hints {
	display: block;
    }
}

/* Remove the dropdown-toggle arrow. */
.no-dropdown-arrow::after {
    content: none;
}

.footer {
    flex-shrink: 0;
    background-color: #f5f5f5;
}


#dashboard {
    display: block;
    margin: auto;
}

.badge-counter {		/* succeeded/failed/scheduled counters */
    margin: 2px;
    text-align: right;
    min-width: 35px;
    font-variant-numeric: tabular-nums;
    font-feature-settings: "tnum" on;
}

.hidden {
    visibility: hidden;
}

div.tooltip {
    position: absolute;
    opacity:0.8;
    z-index:1000;
    text-align:left;
    border-radius:4px;
    -moz-border-radius:4px;
    -webkit-border-radius:4px;
    padding:8px;
    color:#fff;
    background-color:#000;
    font: 12px sans-serif;
    max-width: 1000px;
    height: 30px;
}

.job-abs {
    min-height: 1.5em;
    min-width: 8em;
}

.progress {
    position:relative;
}
.progress span {
    position:absolute;
    top: 0;
    left:0;
    width:100%;
    text-align:center;
    z-index:2;
}

.eval-nav  {
    display: inline-block;
}

thead {
    line-height: 2rem;
}

th .sort {
    position: relative;
    display: inline-block;
    white-space: nowrap;
    padding-right: 1.5rem;
}
th .sort::after {
    content: "▲";
    position: absolute;
    top: -0.3rem;
    right: 0;
    opacity: 0.2;
    font-size: smaller;
}
th .sort::before {
    content: "▼";
    position: absolute;
    top: 0.3rem;
    right: 0;
    opacity: 0.2;
    font-size: smaller;
}
th .sort.asc::before {
    opacity: 0.2;
}
th .sort.asc::after {
    opacity: 0.8;
}
th .sort.desc::before {
    opacity: 0.8;
}
th .sort.desc::after {
    opacity: 0.2;
}
